summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* www-apache/mod_gnutls: Bump to version 0.8.3Lars Wendler2017-10-232-0/+56
| | | | Package-Manager: Portage-2.3.12, Repoman-2.3.3
* www-apache/passenger: x86 stable (bug #634452)Thomas Deutschmann2017-10-221-1/+1
| | | | Package-Manager: Portage-2.3.11, Repoman-2.3.3
* www-apache/passenger: Fix building with USE=-apache2, bug 626988Hans de Graaff2017-10-161-0/+5
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-apache/passenger: amd64 stable for bug 634452Hans de Graaff2017-10-161-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-apache/passenger: add 5.1.11Hans de Graaff2017-10-163-0/+153
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-apache/passenger: cleanupHans de Graaff2017-10-162-123/+0
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-apache/mod_auth_kerb: Move patches to a dist tarballMichał Górny2017-10-1511-943/+12
| | | | Closes: https://bugs.gentoo.org/620644
* www-apache/passenger: stable on amd64, bug 628272Hans de Graaff2017-09-231-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.2
* www-apache/mod_wsgi-4.5.13: ppc stable, bug 625096Matt Turner2017-09-121-1/+1
|
* www-apache/mod_evasive: Update HOMEPAGEJonas Stein2017-08-271-1/+1
| | | | Package-Manager: Portage-2.3.8, Repoman-2.3.3
* www-apache/passenger: add 5.1.8Hans de Graaff2017-08-242-0/+123
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/anyterm: HOMEPAGE and SRC_URI 301 redirect to HTTPSDavid Hicks2017-08-222-7/+7
| | | | | | | * SRC_URI is dead, no suitable replacement found (appears that SVN checkout is the preferred upstream download method now) Package-Manager: Portage-2.3.7, Repoman-2.3.3
* www-apache/passenger: cleanupHans de Graaff2017-08-193-246/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/passenger: remove unused filesHans de Graaff2017-08-112-93/+0
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/mod_jk: cleanup vulnerable wrt sec bug #551216Aaron Bauman2017-08-083-141/+0
|
* www-apache/mod_h2: version 1.10.10, use EAPI=6Craig Andrews2017-08-073-9/+55
| | | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3 Closes: https://github.com/gentoo/gentoo/pull/5296
* www-apache/mod_jk: x86 stable wrt bug #551216Aaron Bauman2017-08-061-1/+1
|
* www-apache/mod_tidy: Shorter DESCRIPTIONJonas Stein2017-08-061-2/+2
|
* www-apache/mod_geoip2: Shorter DESCRIPTIONJonas Stein2017-08-061-3/+2
|
* www-apache/mod_fcgid: Shorter DESCRIPTIONJonas Stein2017-08-062-4/+4
|
* www-apache/mod_extract_forwarded: Shorter DESCRIPTIONJonas Stein2017-08-061-2/+2
|
* www-apache/mod_evasive: Shorter DESCRIPTIONJonas Stein2017-08-061-2/+2
|
* www-apache/mod_wsgi: x86 stableMichael Palimaka2017-08-051-1/+1
| | | | | Gentoo-bug: 625096 Package-Manager: Portage-2.3.6, Repoman-2.3.3
* www-apache/passenger: add 5.1.7Hans de Graaff2017-08-022-0/+123
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/passenger: add 5.1.6Hans de Graaff2017-07-212-0/+123
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/mod_wsgi-4.5.13-r0: amd64 stableTobias Klausmann2017-07-191-1/+1
| | | | Gentoo-Bug: 625096
* www-apache/mod_wsgi: version bump to 4.5.17 (fixes bug 622028)Dirkjan Ochtman2017-07-182-0/+39
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.1
* www-apache/mod_jk-1.2.42-r0: add amd64 keywordTobias Klausmann2017-07-161-1/+1
| | | | Gentoo-Bug: 551216
* www-apache/mod_python: Remove last-rited pkg, #536134Michał Górny2017-07-056-266/+0
|
* www-apache/mod_wsgi: keyword ~arm64Alexis Ballier2017-06-301-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/anyterm: Fix building with GCC-6Peter Levine2017-06-252-1/+148
| | | | | | Bug: https://bugs.gentoo.org/show_bug.cgi?id=594920 Package-Manager: Portage-2.3.6, Repoman-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/4970
* www-apache/mod_jk: remove proxy-maintainers.Patrice Clement2017-06-231-9/+0
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1
* www-apache/mod_jk: version bump to 1.2.42.Timo Gurr2017-06-233-0/+66
| | | | | | Gentoo-Bug: https://bugs.gentoo.org/551216 Closes: https://github.com/gentoo/gentoo/pull/4962
* www-apache/passenger: add 5.1.5Hans de Graaff2017-06-172-0/+123
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1
* www-apache/mod_wsgi: Support newer pythonPacho Ramos2017-06-141-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/mod_whatkilledus: use HTTPSMichael Palimaka2017-06-121-3/+3
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* www-apache/mod_backtrace: use HTTPSMichael Palimaka2017-06-121-3/+3
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* www-apache/mod_auth_kerb: Fix building with heimdal (#327445)Pacho Ramos2017-06-042-1/+12
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* www-apache/mod_authnz_persona: Remove last-rited pkgMichał Górny2017-06-034-46/+0
|
* www-apache/modsecurity-crs: new version 3.0.2.Michael Orlitzky2017-05-143-0/+61
| | | | | | | | | | | | | | | | | This new version is a companion to the new mod_security-2.9.1. The rule numbering (and loading?) upstream has been completely rewritten, so the ebuild was too: it's a lot simpler now. I based the new ebuild off of the one posted to bug 615750 by Graham E, so thanks are due to him. The "geoip" and "lua" USE flags were dropped in the hopes that the new rule-loading system is smart enough to do the right thing. If not, this may need a revision to disable any rules that won't work with the installed version of mod_security. Gentoo-Bug: 615750 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* www-apache/mod_security: new revision with updated default configuration.Michael Orlitzky2017-05-142-7/+20
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | I've made a few small changes to the configuration file that we install by default. First, I've added two settings, SecTmpDir and SecUploadDir, which serve a similar purpose as the existing SecDataDir. All of those need to be located somewhere safe, and the upstream defaults point to /tmp (which is not safe). It is therefore necessary that we override them, and point them to a location that is created and made private in the ebuild. We now use /var/lib/modsecurity/{data,tmp,upload} and I've made them mode 0750 by default (owned by apache:apache). I've also removed two settings that used to be present. Our default configuration is extremely close to the upstream defaults, and sets almost nothing in 79_mod_security.conf explicitly. The presence of SecHttpBlKey was therefore rather strange, since it was disabled by default and contained nothing Gentoo-specific. I've removed it for consistency (it is documented upstream for people who want it). The other setting that I've removed is SecGeoLookupDb. This one could at least be justified for containing a Gentoo-specific path. However, the path doesn't work out-of-the-box; it requires you to (manually, or via cron) update your GeoIP database at least once before using it. At that point, you know the location of the database, and can point mod_security to it yourself. Taking that into consideration, it again makes more sense to omit the setting for consistency and defer to the upstream documentation and defaults. Package-Manager: Portage-2.3.3, Repoman-2.3.1
* www-apache/passenger: fix EAPI=6 and make apache2 optionalHans de Graaff2017-05-121-14/+18
| | | | | | | | | | | Fix EAPI=6 which failed silently due to changes in depend.apache.eclass. This only seems possible when apache2 is optional, so make this a USE flag. This should make it possible to use passenger standalone version without apache, but this is not tested yet. Fixes bug 618270 Package-Manager: Portage-2.3.5, Repoman-2.3.1
* www-apache/passenger: add 5.1.4Hans de Graaff2017-05-112-0/+119
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1
* www-apache/mod_security: new version 2.9.1 to fix some bugs.Michael Orlitzky2017-05-074-8/+134
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | There are a few important changes in this version. First, there is a new USE flag "mlogc" for the audit log collector. USE=curl was too confusing. Oh, and it actually installs the log collector files now. Next, I've moved the SecDataDir under /var/lib to eliminate a QA warning. That's a better place for it anyway, because it doesn't hold cached data (we have no way to recreate the stuff if it disappears). I've dropped the code that enables/disables the GeoIP stuff in the configuration file. We don't need to sed our users' configurations based on USE flags: they'll set it to what they want, and we should leave it that way. The flag is still there to pull in the geoip libs. The configuration file is named 79_mod_security.conf now, for consistency. There are two completely new flags, USE=json and USE=fuzzyhash to enable new upstream features. Some missing dependencies were added, and the docs are being built with doxygen for now. The following users submitted code and/or suggestions that I've used. Thanks guys! * Chris Frederick * Graham E * Leho Kraav * Mario D. Santana Gentoo-Bug: 518828 Gentoo-Bug: 594720 Gentoo-Bug: 605496 Gentoo-Bug: 615294 Package-Manager: Portage-2.3.3, Repoman-2.3.1
* www-apache/mod_perl: Remove oldAndreas K. Hüttel2017-04-303-284/+0
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.2
* www-apache/mod_perl: ppc64 stable wrt bug #597824Agostino Sarubbo2017-04-301-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* www-apache/passenger: drop vulnerable versions, bug 616638Hans de Graaff2017-04-303-234/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* www-apache/mod_perl: ppc stable wrt bug #597824Agostino Sarubbo2017-04-291-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* www-apache/mod_gnutls: cleanupAlon Bar-Lev2017-04-279-326/+0
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1
* www-apache/mod_gnutls: x86 stable wrt bug #616610Agostino Sarubbo2017-04-271-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>